LASTLOG(8)

NAZWA
lastlog - wyświetla informacje o ostanim logowaniu dla wybranego lub wszystkich użytkowaników

STRESZCZENIE

lastlog [opcje]

OPIS

Polecenie lastlog formatuje i wyświetla zawartość bazy ostatnich logowań zapisanych w pliku /var/log/lastlog. Wyświetlone zostaną nazwa użytkownika, port i czas ostatniego logowania. Domyślnie (bez flag) pozycje wyświetlane są w kolejności w jakiej są w pliku /etc/passwd.

OPCJE

Polecenie lastlog posiada następujące opcje:

-b, --before DNI
    Wyświetlenie rekordów lastlog starszych niż zadana DNI.

-C, --clear
    Clear lastlog record of a user. This option can be used only together with -u (--user)).

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-S, --set
    Set lastlog record of a user to the current time. This option can be used only together with -u (--user)).

-t, --time DNI
    Wyświetlenie rekordów lastlog nie starszych niż zadana ilość DNI.

-u, --user LOGIN|RANGE
    Print the lastlog record of the specified user(s).

    The users can be specified by a login name, a numerical user ID, or a RANGE of users. This RANGE of users can be specified with a min and max values (UID_MIN-UID_MAX), a max value (-UID_MAX), or a min value (UID_MIN-).

Jeżeli użytkownik nigdy się nie logował to zamiast portu i czasu logowania wyświetlany jest komunikat **Nigdy nie zalogowany** (użytkownik nigdy się nie logował).

Only the entries for the current users of the system will be displayed. Other entries may exist for users that were deleted previously.

UWAGI

Baza danych lastlog jest plikiem zawierajacym informacje o ostanim logowaniu każdego użytkowanika. Pliku tego nie powinnoa się okresowo kasować i zakąłdać od nowa (rotacja). Plik ten jest plikiem z dziurami tak więc jego rozmiar jest zwykle znacznie mniejszy pokazywany przez polecenie "ls -l" (pokazujące że jest on dużych rozmiarów jeżeli masz w passwd użytkowaników z wysokimi wartościami UID). Mozesz wyświetlić rzeczywisty rozmiar tego pliku używając polecenia "ls -s".

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

LASTLOG_UID_MAX (number)
    Highest user ID number for which the lastlog entries should be updated. As higher user IDs are usually tracked by remote user identity and authentication services there is no need to create a huge sparse lastlog file for them.

    No LASTLOG_UID_MAX option present in the configuration means that there is no user ID limit for writing lastlog entries.

PLIKI

/var/log/lastlog
    Baza danych ostatnich logowań użytkowników.

OSTRZEŻENIA

Duże luki w numeracji UID powodują, że program będzie pracował dłużej, nie wyświetlając wyników (np. jeśli w bazie lastlog nie ma wpisów dla o UID pomiedzy 170, a 800, to program będzie sprawiał wrażenie zawieszonego w trakcie przetwarzania wpisów dla użytkowanikół o UID 171-799).